Skip to main content
GET
/
v2
/
payment-session
/
{payment-session-id}
Get payment session (public)
curl --request GET \
  --url https://api.example.com/v2/payment-session/{payment-session-id}
{
  "paymentSession": {
    "appearance": {
      "accent": "<string>",
      "accentForeground": "<string>",
      "background": "<string>",
      "border": "<string>",
      "card": "<string>",
      "destructive": "<string>",
      "foreground": "<string>",
      "input": "<string>",
      "locale": "<string>",
      "logoUrl": "<string>",
      "mutedForeground": "<string>",
      "popover": "<string>",
      "primary": "<string>",
      "primaryForeground": "<string>",
      "radius": "<string>",
      "ring": "<string>",
      "secondary": "<string>",
      "secondaryForeground": "<string>",
      "showBrlaLogo": true,
      "showPoweredBy": true,
      "widgetBackground": "<string>"
    },
    "createdAt": "<string>",
    "creatorFullName": "<string>",
    "expiresAt": "<string>",
    "externalId": "<string>",
    "id": "<string>",
    "mainAccountId": "<string>",
    "metadata": {},
    "onCompleteRedirectionUrl": "<string>",
    "outputCurrency": "<string>",
    "paymentOptions": [
      {
        "amount": 123,
        "currency": "<string>",
        "paymentMethod": "<string>"
      }
    ],
    "subAccountId": "<string>",
    "ticketId": "<string>",
    "ticketJson": [
      123
    ],
    "ticketStatus": "<string>",
    "updatedAt": "<string>",
    "workspaceId": "<string>"
  }
}

Path Parameters

payment-session-id
string<uuid>
required

Response

OK

paymentSession
object